Skip to main content
POST
/
org
/
{org_id}
Update organization
curl --request POST \
  --url https://api.partoo.co/v2/org/{org_id} \
  --header 'Content-Type: application/json' \
  --header 'x-APIKey: <api-key>' \
  --data '
{
  "name": "Fast Retailer",
  "alias": "fast_retailer",
  "max_businesses": 100
}
'
{
  "org_id": 42,
  "status": "success"
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Path Parameters

org_id
integer
required

Unique ID of the organization to which the resource belongs. Only PROVIDER users can access resources from a different organization than their own. If you are not a PROVIDER, this will default to the ID of your organization.

Body

application/json

The object to send to update an organization

name
string

Organization name

Example:

"Fast Retailer"

alias
string

Organization alias (should match regex [a-z0-9_])

Example:

"fast_retailer"

max_businesses
integer | null

Maximum number of local businesses the organization can have. It does not include the global (brand) businesses. If null, there is no limit for the organization. This field can only be set by a PROVIDER user.

Example:

100

Response

OK

Result object

org_id
integer

Unique identifier of an organization in Partoo.

Example:

42

status
enum<string>

Request status

Available options:
success